"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.make = void 0;
const mergePlugins_1 = require("./mergePlugins");
const setPlugins_1 = require("./setPlugins");
const addPlugin_1 = require("./addPlugin");
const mergeConfig_1 = require("./mergeConfig");
const setConfig_1 = require("./setConfig");
const setPresets_1 = require("./setPresets");
const mergePresets_1 = require("./mergePresets");
const addPreset_1 = require("./addPreset");
exports.make = bud => {
    const babel = {};
    new Set([
        mergeConfig_1.mergeConfig,
        setConfig_1.setConfig,
        mergePlugins_1.mergePlugins,
        setPlugins_1.setPlugins,
        addPlugin_1.addPlugin,
        mergePresets_1.mergePresets,
        setPresets_1.setPresets,
        addPreset_1.addPreset,
    ]).forEach((fn) => {
        Object.assign(babel, {
            [fn.name]: fn.bind(bud),
        });
    });
    Object.assign(bud, {
        babel: Object.create(babel),
    });
};
//# sourceMappingURL=index.js.map